      BLOCK DATA
C
C TTTTTTTTT BBBBBBBBB  LLL   TTTTTTTTT RRRRRRRRR  NNN   NNN
C    TTT    BBB   BBB  LLL      TTT    RRR   RRR  NNNN  NNN
C    TTT    BBBBBBB    LLL      TTT    RRRRRRR    NNN N NNN
C    TTT    BBB   BBB  LLL      TTT    RRR  RRR   NNN  NNNN
C    TTT    BBBBBBBBB  LLLLLLLL TTT    RRR   RRR  NNN   NNN
C
C     TBLTRN, SYMBOLIC TABLE ASSEMBLER WRITTEN IN FORTRAN
C     JUNE 1972 VERSION
C
C     DONALD BARTH, CHEMISTRY DEPT., HARVARD UNIVERSITY
C
      COMMON/TBLTRN/I,IADDRS,IADJST,IBASE,IBLANK,IDGT(16),
     1IERR,IFILL,IFKNT,IKODE,ILEFT,ILINE,ILPT,ILTR,IBYTE,
     2IMASK,LMAX,NMORE,IMOST,INSERT,IOCT(13),IOPRTR,IOUT,
     3IPAREN,IPNCTN(11),IPRCN,IRADIX,IREAD,IREPT,IRIGHT,
     4ISHIFT,ISIGN,ISTAR,ISTORE(478),ITEN,ITEST,ITITLE(6),
     5ITTY,IWIDE,IWRITE,J,JADJST,JBASE,JBLANK,JERR,KPAREN,
     6JFKNT,JKODE(37),JLEFT,JMASK,JMORE,JPAREN,JRADIX,LOOP,
     7JRIGHT,JSHIFT,JSIGN,K,KADJST,KBASE,KERR,KIND,KLINE,
     8KLM,KLTR,KMASK,KNT,KNTLTR,KNTWRD,KODE,KRADIX,IDBG,
     9KREAD,KSHIFT,L,LEAST,LETTER(160),LMASK,LOCK,LSTNEW,
     1LTTR(160),M,MASK,MASTER(5000),MAX,MLEFT,MORE,MOST,
     2MRIGHT,MULT,N,NEW,NEXT,NSIGN,NTITLE(6),NUMBER,LRADIX,
     3KMAX,INLINE,JPNCTN(50),KPNCTN(50),LPNCTN,JOPRTR,NLTR,
     4JBYTE,ILOOP,ISKIP,IVALUE,INSN(6),JNSN,IMAX,JMAX,
     5KNSN,MLTR,JLTR,JLOOP,IPFX,JPFX,LSIGN,IIARG,JJARG,
     6KKARG,LLARG,JVALUE,MIN,IAC,IARG,JARG,KARG,LARG,JSTFY,
     7LENGTH(20),LNGMIN,IORDER,IRMV,KSIGN
C
      DIMENSION IONE(124),ITWO(145),ITHREE(145),IFOUR(64)
      EQUIVALENCE (ISTORE(1),IONE(1)),(ISTORE(125),ITWO(1))
     1,(ISTORE(270),ITHREE(1)),(ISTORE(415),IFOUR(1))
C
C     DEFINE NUMBER OF CHARACTERS PER LINE IN
C     INPUT FILE (IMAX), IN INPUT READ FROM TTY
C     (JMAX), AND MAXIMUM SIZE OF BUFFER (KMAX).
C     THE LETTER AND LTTR ARRAYS MUST BE DIMENSIONED
C     TO KMAX WHICH MUST BE AT LEAST AS LARGE AS
C     IMAX OR JMAX.
C     THESE SHOULD BE SET ACCORDING TO THE TYPES
C     OF INPUT DEVICES TO BE USED.  80 COLUMN CARDS
C     ARE ASSUMED FOR STORED INPUT.
C     FOR TTY INPUT, NO HARM WILL RESULT FROM ALLOWING
C     SOMEWHAT LONGER LINES.
      DATA IMAX,JMAX,KMAX/80,120,160/
C
C     DEFINE LENGTH OF MASTER ARRAY
      DATA MAX/5000/
C
      DATA KNTLTR/6/
C
      DATA IBLANK,ISTAR/1H ,1H*/
      DATA NTITLE/1HT,1HB,1HL,1HT,1HR,1HN/
      DATA IPNCTN/1H ,1H$,1H*,1H.,1H,,1H',1H-,1H+,1H=,
     11H(,1H)/
      DATA JKODE/30,32,34,40,42,44,46,48,50,52,58,62,64,74,
     179,88,90,92,94,96,98,100,102,104,106,108,110,112,
     2114,116,119,122,126,128,130,132,0/
      DATA IDGT/1H0,1H1,1H2,1H3,1H4,1H5,1H6,1H7,1H8,1H9,
     11HA,1HB,1HC,1HD,1HE,1HF/
C
C     ISTORE ARRAY IS USED AS TEMPLATE TO RECREATE
C     SYMBOL DICTIONARY.  FOR EACH INITIALLY DEFINED
C     SYMBOL IT CONTAINS THE NUMBER OF LETTERS IN THE
C     SYMBOL NAME, THE NUMBER CODE FOR THE SYMBOL, AND
C     THE ALPHAMERIC LETTERS MAKING UP THE SYMBOL NAME.
C     THE ENTRIES IN THE ISTORE ARRAY NEED NOT BE ORDERED BY
C     THE NUMBER CODES BUT MUST BE ORDERED BY SYMBOL LENGTH.
      DATA IONE/        1,  4,        1H',1,  5,        1H,,
     11,  9,        1H-,1, 10,        1H+,1, 15,        1H=,
     21, 16,        1H.,1, 54,        1H(,1, 55,        1H),
     32, 36,    1H',1H',2, 37,    1H=,1H=,2, 54,    1H(,1H(,
     42, 56,    1H),1H),2, 69,    1H,,1H,,3,  6,1H.,1H.,1H.,
     53,  7,1H,,1H,,1H,,3, 11,1HO,1HC,1HT,3, 12,1HD,1HE,1HC,
     63, 13,1HL,1HO,1HC,3, 14,1HX,1HS,1HY,3, 17,1HD,1HM,1HP,
     73, 18,1HD,1HB,1HG,3, 19,1HL,1HS,1HT,3, 20,1HB,1HL,1HK,
     83, 21,1HF,1HI,1HN,3, 22,1HS,1HA,1HV,3, 23,1HT,1HT,1HL,
     93, 24,1HT,1HE,1HL,3, 25,1HT,1HT,1HY,3, 26,1HE,1HN,1HD/
      DATA ITWO/        3, 27,1HI,1HF,1HE,3, 29,1HM,1HS,1HK,
     13, 30,1HL,1HF,1HT,3, 32,1HR,1HI,1HT,3, 34,1HS,1HI,1HZ,
     23, 38,1HI,1HO,1HR,3, 39,1HT,1HO,1HN,3, 40,1HB,1HI,1HT,
     33, 42,1HD,1HU,1HP,3, 44,1HS,1HR,1HX,3, 46,1HT,1HR,1HX,
     43, 48,1HW,1HI,1HD,3, 50,1HC,1HL,1HM,3, 52,1HT,1HS,1HT,
     53, 57,1HN,1HU,1HL,3, 58,1HW,1HR,1HD,3, 60,1HI,1HF,1HN,
     63, 62,1HF,1HI,1HL,3, 64,1HB,1HP,1HR,3, 67,1HA,1HR,1HG,
     73, 68,1HA,1HD,1HR,3, 70,1HH,1HI,1HA,3, 71,1HL,1HO,1HA,
     83, 72,1HA,1HC,1HC,3, 73,1HI,1HF,1HD,3, 74,1HB,1HS,1HZ,
     93, 76,1HI,1HF,1HU,3, 77,1HI,1HF,1HA,3, 78,1HI,1HF,1HO/
      DATA ITHREE/      3, 79,1HL,1HM,1HT,3, 81,1HX,1HA,1HD,
     13, 82,1HI,1HF,1HL,3, 84,1HI,1HF,1HG,3, 88,1HD,1HI,1HE,
     23, 90,1HD,1HI,1HN,3, 92,1HD,1HI,1HL,3, 94,1HD,1HI,1HG,
     33, 96,1HD,1HI,1HD,3, 98,1HD,1HI,1HU,3,100,1HD,1HI,1HA,
     43,102,1HD,1HI,1HO,3,108,1HR,1HE,1HD,3,110,1HI,1HN,1HC,
     53,112,1HD,1HE,1HF,3,118,1HN,1HS,1HN,3,119,1HN,1HS,1HV,
     63,121,1HN,1HS,1HT,3,126,1HP,1HF,1HX,3,128,1HS,1HT,1HK,
     73,130,1HP,1HS,1HH,3,132,1HS,1HF,1HT,3, 85,1HR,1HO,1HT,
     83,  3,1HP,1HO,1HP,3,122,1HJ,1HS,1HT,3,134,1HB,1HA,1HC,
     93, 83,1HE,1HA,1HC,3,124,1HX,1HO,1HR,3,125,1HA,1HN,1HD/
      DATA IFOUR/       3,135,1HB,1HO,1HD,3,136,1HE,1HO,1HD,
     13,1001,1HN,1HE,1HG,
     24, 28,1HI,1HF,1HL,1HE,4, 61,1HI,1HF,1HG,1HE,
     34, 86,1HI,1HF,1HN,1HA,4, 87,1HI,1HF,1HN,1HO,
     44,104,1HD,1HI,1HN,1HA,4,106,1HD,1HI,1HN,1HO,
     54,114,1HD,1HI,1HL,1HE,4,116,1HD,1HI,1HG,1HE,
     60/
      END
